description

# WorkerPerformance class Null safety

Inheritance
  - Object
  - EventTarget
  - WorkerPerformance
Annotations
  - @Native("WorkerPerformance")

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
memory → MemoryInfo?
  read-only
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
timeOrigin → num?
  read-only

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
clearMarks(String? markName) → void
clearMeasures(String? measureName) → void
clearResourceTimings() → void
dispatchEvent(Event event) → bool
  inherited
getEntries() → List<PerformanceEntry>
getEntriesByName(String name, String? entryType) → List<PerformanceEntry>
getEntriesByType(String entryType) → List<PerformanceEntry>
mark(String markName) → void
measure(String measureName, String? startMark, String? endMark) → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
now() → double
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
setResourceTimingBufferSize(int maxSize) → void
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited